<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
 
</head>

<body>
  <header>
    <input id="newToDo" class="textInput" />
    <input id="AddToDo" class="addButton" type="button" value="Add" />
  </header>
  <ul id="toDoList"></ul>

  <style>
    .done {
      text-decoration: line-through;
    }

    .textInput {
      box-sizing: border-box;
      padding: 10px 20px;
    }

    .addButton {
      box-sizing: border-box;
      padding: 10px 20px;
      background: #ffcc00;
    }

    .DoneCheckbox,
    .TodoText {
      margin-right: 5px;
    }

    button {
      background: red;
      color: #fff;
      padding: 5px 10px;
    }
  </style>
  <script>
    /*
      Задание:
        Создать список дел, в который можно:
        - Добавить новый элемент
        - Удалить элемент
        - Задать что пункт выполнен
 
      Шаблон элемента:
        <li class="listItem">
            <input type="checkbox" class="DoneCheckbox" />
            <span class="TodoText">{add text}</span>
            <button>Remove</button>
        </li>
 
    */
    var newToDo = document.getElementById('newToDo');
    var btn = document.getElementById('AddToDo');
    var list = document.getElementById('toDoList');

    window.addEventListener("load", function () {
      var addText = () => {
        btn.addEventListener('click', function () {
          var item = document.createElement('li');
          item.innerText = newToDo.value;

          var input = document.createElement('input');
          input.type = 'checkbox';
          input.classList.add("DoneCheckbox");
          item.appendChild(input);

          var span = document.createElement('span');
          span.classList.add('TodoText');
          span.innerText = "";
          item.appendChild(span);
          var button = document.createElement('button');
          button.innerText = "Remove";
          item.appendChild(button);
          list.appendChild(item);

          button.addEventListener('click', function(){
            item.remove();
          })
        });
      }

      addText();
    });


  </script>
</body>

</html>